AsterNet Class Library (Sandcastle documentation)

| MD5Support Class

Encapsulates the functionality of message digest algorithms such as SHA-1 or MD5.
Inheritance Hierarchy
System
Object
AsterNET.Util
MD5Support

Namespace: AsterNET.Util
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class MD5Support

    Public Class MD5Support

    public ref class MD5Support

    type MD5Support =  class end

The MD5Support type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| MD5Support | Creates a message digest using the specified name to set Algorithm property.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetInstance | Generates a new instance of the MessageDigestSupport class using the specified algorithm
| GetInstance(String) | Generates a new instance of the MessageDigestSupport class using the specified algorithm
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)
| Update | Updates the digest data with the specified array of bytes by making an append operation in the internal array of data.

Top
Properties

| Name | Description
--- | --- | ---
| DigestData | Computes the hash value for the internal data digest.

Top
See Also

#### Reference

AsterNET.Util Namespace